
Redmine - Patch #2635

Display notice on forum updates

2009-01-31 21:44 - Brad Beattie

Status: Closed Start date: 2009-01-31

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 4.0.1   

Description

When posting a comment to a news item, the notice label_comment_added is displayed to the user. I figured that it was inconsistent

not to do the same for forum comments, so I created the following patch.

### Eclipse Workspace Patch 1.0

#P Redmine

Index: lang/en.yml

===================================================================

--- lang/en.yml    (revision 2344)

+++ lang/en.yml    (working copy)

@@ -536,6 +536,7 @@

 label_message_new: New message

 label_message_posted: Message added

 label_reply_plural: Replies

+label_reply_added: Reply added

 label_send_information: Send account information to the user

 label_year: Year

 label_month: Month

Index: app/controllers/messages_controller.rb

===================================================================

--- app/controllers/messages_controller.rb    (revision 2338)

+++ app/controllers/messages_controller.rb    (working copy)

@@ -47,6 +47,7 @@

     end

     if request.post? && @message.save

       attach_files(@message, params[:attachments])

+      flash[:notice] = l(:label_message_posted)

       redirect_to :action => 'show', :id => @message

     end

   end

@@ -60,6 +61,7 @@

     if !@reply.new_record?

       attach_files(@reply, params[:attachments])

     end

+    flash[:notice] = l(:label_reply_added)

     redirect_to :action => 'show', :id => @topic

   end

Associated revisions

Revision 17738 - 2018-12-15 22:40 - Go MAEDA

Display notice on forum updates (#2635).

Patch by Go MAEDA.

Revision 17740 - 2018-12-16 05:20 - Go MAEDA

Merged r17738 from trunk to 4.0-stable (#2635).

History

#1 - 2009-02-19 17:19 - Brad Beattie

- Assignee set to Jean-Philippe Lang
#2 - 2018-12-15 15:29 - Go MAEDA

- File 2635-show-notice-on-forum-updates.diff added

- Assignee deleted (Jean-Philippe Lang)

- Target version set to 4.0.1

- % Done changed from 50 to 0

+1

I think the notices will improve usability. The attached patch adds notices on create/update/delete operation on forum messages.

#3 - 2018-12-15 22:40 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Estimated time deleted (0.20 h)

Committed.

#4 - 2018-12-15 22:41 - Go MAEDA

- Subject changed from Display notice on forum thread or reply creation to Display notice on forum updates

#5 - 2018-12-16 05:20 - Go MAEDA

- Status changed from Resolved to Closed

Files

2635-show-notice-on-forum-updates.diff 2.83 KB 2018-12-15 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

